Package org.apache.qpid.proton.amqp

# Class UnknownDescribedType

java.lang.Object
org.apache.qpid.proton.amqp.UnknownDescribedType

All Implemented Interfaces:
  `DescribedType`

public class UnknownDescribedType extends Object implements DescribedType

## Constructor Summary

Constructors
Constructor
Description
`UnknownDescribedType(Object descriptor, Object described)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`Object`
`getDescribed()`
`Object`
`getDescriptor()`
`int`
`hashCode()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### UnknownDescribedType

public UnknownDescribedType(Object descriptor, Object described)

## Method Details

### getDescriptor

public Object getDescriptor()

Specified by:
  `getDescriptor` in interface `DescribedType`

### getDescribed

public Object getDescribed()

Specified by:
  `getDescribed` in interface `DescribedType`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### toString

public String toString()

Overrides:
  `toString` in class `Object`